:root {
	--sem: #00a6d6;
	--blanc: #FFFFFF;
	--negre: #000000;
	
	--clar: #F5F5F5;
	--linkclar: royalblue;
	--borderclar: silver;
/*
	--fosc:  #34495e;
	--linkfosc:  #5d6d7e;
	--borderfosc: midnightblue;
*/
	--fosc: #263859;
	--foscaux: #b6bdc8;
	--linkfosc: #FF6768;
	--borderfosc: #17223B;
}

.tema-clar {
	--bg: var(--clar);
	--fontColor: var(--negre);
	--borderColor: var(--borderclar);
	--link: var(--linkclar);
}
	
.tema-fosc {
	--bg: var(--fosc);
	--fontColor: var(--foscaux);
	--borderColor: var(--borderfosc);
	--link: var(--linkfosc);
}

body {
	background: var(--bg);
	color: var(--fontColor);
	font-family: serif;
}

div.logosem {
	display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    gap: 50px;
}

div.logosem_item {
	display: flex;
    flex-direction: column;
	align-items: center;
	align-content: space-between;
	gap: 30px;
}

div.logosem_item_sub {
	align-self: auto;
}

img.responsive {
	width: 100%;
	height: auto;
}

.centrar_total { /* centra verticalment i horitzontal */
	display: flex;
	justify-content: center; /* centra H */
	align-items: center; /* centra V */
	height: 100%;
  }
  
  .centrar_vertical { 
	display: flex;
	/*justify-content: center;*/
	align-items: center;
	height: 100%;
  }
  
  .centrar_horitzontal {
	display: block;
	margin-left: auto;
	margin-right: auto;
	width: 50%;
	text-align: center;
  }

@media only screen and (min-width: 560px) {
	div.logosem_item {
		flex-direction: row;
		gap: 50px;
	}	
}

/* Pantalla: mida inferior a 450px */
div.productes{ padding: 4px;padding-top: 40px;padding-left: 40px;border-right: 0px solid var(--borderColor); }
div.logo{ background-color: var(--sem);position: absolute;float: left;height: 370px;width: 100%;border-bottom: 1px solid var(--borderColor); }
img.logo1 { background-repeat: no-repeat;width: 71px; }  /* 65% de la mida real */
img.logo2 { background-repeat: no-repeat;width: 146px; } /* 65% de la mida real */
img.logo3 { background-repeat: no-repeat;width: 63px; }  /* 65% de la mida real */
img.logo4 { background-repeat: no-repeat;width: 139px; } /* 65% de la mida real */
img.logo5 { background-repeat: no-repeat;width: 42px; }  /* 65% de la mida real */
h1.telf { display: inline;color: #FFFFFF;font-family: lucida;font-size: 28px;font-weight: bold;margin-left: 28px; }
img.telf { cursor: pointer;height: 24px; }
div.telf { color: black;font-family: lucida; }
/* menu principal */
ul.menu { font-size: 30px;font-family: lucida;justify-content: space-between;align-items: center;display: flex;flex-direction: column; }

.fons {
	width: 100px;
	position: absolute;
	left: 0px;
	top: 335px;
	color: var(--fontColor);
	background-color: var(--bg);
	border: 0px;
}

/* Pantalla: mida de 550px o superior: */ 
@media only screen and (min-width: 550px) {
	div.productes{ padding: 4px;padding-top: 0px;border-right: 0px solid var(--borderColor); }
	div.logo{ background-color: var(--sem);height: 300px;width: 100%;border-bottom: 1px solid var(--borderColor); }
	img.logo1 { background-repeat: no-repeat;width: 71px;position: absolute;top: 20px;left: 10px; }   /* 65% de la mida real */
	img.logo2 { background-repeat: no-repeat;width: 146px;position: absolute;top: 20px;left: 100px; }  /* 65% de la mida real */
	img.logo3 { background-repeat: no-repeat;width: 63px;position: absolute;top: 150px;left: 20px; }   /* 65% de la mida real */
	img.logo4 { background-repeat: no-repeat;width: 139px;position: absolute;top: 150px;left: 100px; }  /* 65% de la mida real */
	img.logo5 { background-repeat: no-repeat;width: 42px;position: absolute;top: 150px;left: 250px; }   /* 65% de la mida real */
	h1.telf { display: block;color: #FFFFFF;font-family: lucida;font-size: 25px;font-weight: normal; }
	img.telf { cursor: pointer;height: 30px; }
	div.telf { color: black;font-family: lucida;font-size: 16px; }
	/* menu principal */
	ul.menu { position: relative; left: -35px;font-size: 17px;font-family: lucida;justify-content: space-between;align-items: flex-start;display: flex;flex-direction: column; }

	.fons {
		width: 100px;
		position: absolute;
		left: 0px;
		top: 270px;
		color: var(--fontColor);
		background-color: var(--bg);
		border: 0px;
	}
} 

/* Pantalla: mida de 856px o superior: */ 
@media only screen and (min-width: 856px) {
	div.productes{ padding: 4px;padding-top: 0px;border-right: 1px solid var(--borderColor); }
	div.logo{ background-color: var(--sem);position: absolute;float: left;height: 312px;width: 100%;border-bottom: 1px solid var(--borderColor); }
	img.logo1 { background-repeat: no-repeat;width: 109px;margin: 0px;position: absolute;top: 20px;left: 10px; }
	img.logo2 { background-repeat: no-repeat;width: 225px;margin: 0px;position: absolute;top: 20px;left: 150px; }
	img.logo3 { background-repeat: no-repeat;width: 97px;margin: 0px;position: absolute;top: 20px;left: 405px; }
	img.logo4 { background-repeat: no-repeat;width: 214px;margin: 0px;position: absolute;top: 180px;left: 150px; }
	img.logo5 { background-repeat: no-repeat;width: 64px;margin: 0px;position: absolute;top: 180px;left: 400px; }
	h1.telf { display: block;color: #FFFFFF;font-family: lucida;font-size: 20px;font-weight: normal; }
	img.telf { cursor: pointer;height: 30px; }
	div.telf { color: black;font-family: lucida;font-size: 16px;font-family: lucida; }
	/* menu principal */
	ul.menu { position: relative; left: -35px;font-size: 20px;font-family: lucida;justify-content: space-between;align-items: flex-start;display: flex;flex-direction: column; }

	.fons {
		width: 100px;
		position: absolute;
		left: 0;
		top: 275px;
		color: var(--fontColor);
		background-color: var(--bg);
		border: 1px solid var(--borderColor);
		border-bottom: 0px;
	}
} 

@keyframes fadeIn {
	0% { opacity: 0;filter: brightness(1) blur(20px) }
	10% { opacity: 1;filter: brightness(2) blur(10px) }
	100% { opacity: 1;filter: brightness(1) blur(0) }
  }

/* Pantalla: mida de 1170px o superior: */ 
@media only screen and (min-width: 1170px) {
	div.productes{ padding: 4px;border-right: 1px solid var(--borderColor); }
	div.logo{ background-color: var(--sem);position: absolute;float: left;height: 325px;width: 100%;border-bottom: 1px solid var(--borderColor); }
	img.logo1 { background-repeat: no-repeat;width: 109px;margin: 0px; }
	img.logo2 { background-repeat: no-repeat;width: 225px;margin: 0px; }
	img.logo3 { background-repeat: no-repeat;width: 97px;margin: 0px; }
	img.logo4 { background-repeat: no-repeat;width: 214px;margin: 0px; }
	img.logo5 { background-repeat: no-repeat;width: 64px;margin: 0px; }
	h1.telf { display: block;color: #FFFFFF;font-family: lucida;font-size: 25px;font-weight: normal; }
	img.telf { cursor: pointer;height: 28px; }
	div.telf { color: black;font-family: lucida;font-size: 25px;font-size: 20px;font-family: lucida; }
	/* menu principal */
	ul.menu { font-size: 22px;font-family: lucida;justify-content: space-between;align-items: flex-start;display: flex;flex-direction: column; }
	
	.fons {
		width: 100px;
		position: absolute;
		left: 0px;
		top: 290px;
		color: var(--fontColor);
		background-color: var(--bg);
		border: 1px solid var(--borderColor);
		border-bottom: 0px;
	}
} 

.fons:hover {
	color: var(--link);
}

img.imatge {
	width: 100%;
}

a {
	text-decoration: none;
}

/*
 * icona lupa
 */
.icona_lupa {
	width: 24px;
	height: 24px;
	border: 2px solid var(--sem);
	border-radius: 50%;  /* forma de cercle */
	position: relative;
	top: 20px;
	right: -80px;
	cursor: pointer;
}
  
.icona_lupa:after {
	position: absolute;
	width: 100%;
	height: 4px;
	background-color: var(--fontColor);
	display: block;
	content: "";
	top: 0px;
	right: 5px;
	
	transform: rotate(45deg);
	transform-origin: -10px 40px;	
}


/*
 * icona correu
 */
.icona_correu {
	background: var(--sem);
	display: inline-block;
	height: 27px;
	width: 40px;
	position: relative;
	top: 20px;
	right: -80px;
	cursor: pointer;
	/* border: 1px solid var(--fontColor); */
}

.icona_correu::before {
	border-top: 20px solid var(--fontColor);
	border-left: 20px solid transparent;
	border-right: 20px solid transparent;
	content: "";
	height: 0;
	left: 0;
	position: absolute;
	top: 0px;
	width: 0;
}

/*
 * icona retorn
 */
.icona_retorn {
	float: right;
	position: relative;
	top: 10px;
	right: 10px;
	border-top: 9px solid transparent;
	border-right: 9px solid var(--sem);
	transform: rotate(180deg);
	cursor: pointer;
}

.icona_retorn:after {
	content: "";
	position: absolute;
	border: 0 solid transparent;
	border-top: 3px solid var(--sem);
	border-radius: 20px 0 0 0;
	top: -12px;
	left: -9px;
	width: 12px;
	height: 12px;
	transform: rotate(45deg);
}

/* 
 * Subratllat 
 */
 
.cmn-t-underline {
  position: relative;
  padding-left: 10px;
  font-size: 1.1em;
  /*color: var(--foscaux); */
  color: grey;
}

.cmn-t-underline:after {
  display: block;
  position: absolute;
  left: 0;
  bottom: -10px;
  width: 0;
  height: 10px;
  background-color: var(--link);
  content: "";
  transition: width 0.2s;
}
.cmn-t-underline:hover {
	cursor: pointer;
	color: var(--link);
	/*letter-spacing: 1px;*/
	/*font-weight: 600;*/
}
.cmn-t-underline:hover:after {
  width: 100%;
  color: var(--link);
}


ul.producte {
    justify-content: space-between;
    align-items: center;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.etiqueta {
	color: var(--fontColor);
}

li.admin {
	color: orange;
	font-style: italic;
}

div.sem {
	display: inline;
	font-size: 1.4em;
	color: var(--sem);
	font-weight: 600;
	font-family: monospace;
	cursor: pointer;
}

div.fitxa_previa {
	float: right;
	text-align: center;
	background: white;
	color: var(--fosc);
	width: 260px;
	height: 225px;
	border-radius: 25px;
	margin-right: 10px;
	margin-left: 0px;
	margin-top: 15px;
	list-style-type: none;

	/* quadrat arrodonit */
	-webkit-border-radius: 3px 3px 0px 70px; /* esq-sup dreta-sup esq-inf dreta-inf */
	-moz-border-radius: 3px 3px 0px 70px;
	border-radius: 3px 3px 0px 70px;
	background-color:#FFFFFF;
	/* ombra */
	-webkit-box-shadow: var(--borderColor) 3px 3px 3px;
	-moz-box-shadow: var(--borderColor) 3px 3px 3px;
	box-shadow: var(--borderColor) 3px 3px 3px;
}

li.fitxa_previa {
	background: white;
	/*color: black;*/
	text-align: left;
	width: 250px;
	height: 220px;
	border-radius: 25px;
	margin-left: 0px;
	margin-top: 15px;
	list-style-type: none;
	
	/* quadrat arrodonit */
	-webkit-border-radius: 3px 3px 0px 70px; /* esq-sup dreta-sup esq-inf dreta-inf */
	-moz-border-radius: 3px 3px 0px 70px;
	border-radius: 3px 3px 0px 70px;
	background-color:#FFFFFF;
	/* ombra */
	-webkit-box-shadow: var(--borderColor) 3px 3px 3px;
	-moz-box-shadow: var(--borderColor) 3px 3px 3px;
	box-shadow: var(--borderColor) 3px 3px 3px;
}

li.fitxa_previa:hover {
	cursor: pointer;
	
	/* ombra */
	-webkit-box-shadow: var(--link) 3px 3px 3px;
	-moz-box-shadow: var(--link) 3px 3px 3px;
	box-shadow: var(--link) 3px 3px 3px;
}

/*
 * fitxa sense :hover 
 */
li.fitxa_previa_sense {
	background: white;
	/*color: black;*/
	text-align: left;
	text-align: center;
	width: 250px;
	height: 220px;
	border-radius: 25px;
	margin-left: 0px;
	margin-top: 15px;
	list-style-type: none;
	
	/* quadrat arrodonit */
	-webkit-border-radius: 3px 3px 0px 70px; /* esq-sup dreta-sup esq-inf dreta-inf */
	-moz-border-radius: 3px 3px 0px 70px;
	border-radius: 3px 3px 0px 70px;
	background-color:#FFFFFF;
	/* ombra */
	-webkit-box-shadow: var(--borderColor) 3px 3px 3px;
	-moz-box-shadow: var(--borderColor) 3px 3px 3px;
	box-shadow: var(--borderColor) 3px 3px 3px;
}

div.descr {
	font-family: serif;
	font-size: 1.4em;
	color: var(--fontColor);
}

/* capa MENU */
#capaMenu {
	padding-top: 10px;
}

/* capa ON SOM */
#onsom {
	height:500px;
	padding: 2px;
	border-right: 1px solid var(--borderColor); 
	border-top: 1px solid var(--borderColor);
}

/* capa QUI SOM */
#quisom {
	color: var(--fontColor);
	height:375px;
	padding: 4px;
	border-right: 1px solid var(--borderColor); 
	border-top: 1px solid var(--borderColor);
}

/* capa PEU */
#peu {
	color: white;
	background-color: #202020;
	text-align: center;
	padding: 10px;
	font-family: monospace;
	border-top: 2px solid var(--borderColor);
}

div.error {
	color: tomato;
	width: 450px
}

img.foto {
	background: white;
	height: 120px;
}

/*
 * dibuixar triangle
 */
.triangle {
	background-image: url("../imatges/descarregar.svg");
	width: 0;
	height: 0;
	border-bottom: 50px solid transparent;
	border-left: 50px solid transparent;
}

.triangle:hover {
	background: url('../imatges/descarregar_sel.svg');
	width: 0;
	height: 0;
	border-bottom: 50px solid red;
	border-left: 50px solid transparent;
} 

/*
 * dibuixar fletxa que quan la selecciones canvia de forma
 */

div.arrow {
	width: 2vmin;
	height: 2vmin;
	box-sizing: border-box;
	position: absolute;
	right: 10px;
	bottom: 0px;
	transform: rotate(-224deg);
}

div.arrow:before {
	content: '';
	width: 100%;
	height: 100%;
	border-width: .8vmin .8vmin 0 0;
	border-style: solid;
	border-color: grey;
	transition: .2s ease;
	display: block;
	transform-origin: 100% 0;
}

div.arrow:after {
	content: '';
	float: left;
	position: relative;
	top: -100%;
	width: 100%;
	height: 100%;
	border-width: 0 .8vmin 0 0;
	border-style: solid;
	border-color: grey;
	transform-origin: 100% 0;
	transition:.2s ease;
}

div.arrow:hover::after {
	transform: rotate(45deg);
	border-color: var(--link);
	height: 120%;
}

div.arrow:hover::before {
	border-color: var(--link);
	transform: scale(.8);
}
	

.admin {
	cursor:pointer;
	float: right;
	position: relative;
	bottom: 0px;
	background: #00a6d6;
	color: white;
	font-size: 0.7em;
	padding-right: 5px;
}

.admin:hover {
	color: orange;
}

/*
 * EDITOR
 */
 
 .etiqEditor {
	float: left;
	font-size: 1em;
	background-color: #F5F5F5;
	text-align: right;
	position: relative;
	bottom: -24px
}

.campEditor {
	font-size: 0.8em;
	background-color: #F5F5F5;
	text-align: left;
	width: 100%;
}

textarea.campEditor {
	height: 200px
}

.comptEditor {
	font-size: 0.9em;
	background-color: #F5F5F5;
	text-align: center;
	width: 100%;
	position: relative;
	bottom: -15px
}
